| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLContext Class Referenceabstract

Class that encapsulates an GL context. More...

`#include <OgreGLContext.h>`

## Public Member Functions
| GLContext ()
virtual | ~GLContext ()
std::vector< uint32 > & | _getFboDeferredForDestruction ()
| FBOs deferred for destruction in proper GL context. More...
std::vector< uint32 > & | _getVaoDeferredForDestruction ()
| VAOs deferred for destruction in proper GL context. More...
virtual GLContext * | clone () const =0
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. More...
template<class StateCacheManager >
StateCacheManager * | createOrRetrieveStateCacheManager ()
| Get the state cache manager, creating it on demand. More...
virtual void | endCurrent ()=0
| This is called before another context is made current. More...
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context. More...
virtual void | setCurrent ()=0
| Enable the context. More...
void | setInitialized ()

## Detailed Description

Class that encapsulates an GL context.

(IE a window/pbuffer). This is a virtual base class which should be implemented in a GLSupport. This object can also be used to cache renderstate if we decide to do so in the future.

## Constructor & Destructor Documentation

## ◆ GLContext()

Ogre::GLContext::GLContext | ( |  | ) |
| inline

## ◆ ~GLContext()

virtual Ogre::GLContext::~GLContext | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ setCurrent()

virtual void Ogre::GLContext::setCurrent | ( |  | ) |
| pure virtual

Enable the context.

All subsequent rendering commands will go here.

## ◆ endCurrent()

virtual void Ogre::GLContext::endCurrent | ( |  | ) |
| pure virtual

This is called before another context is made current.

By default, nothing is done here.

## ◆ getInitialized()

bool Ogre::GLContext::getInitialized | ( |  | ) |
| inline

## ◆ setInitialized()

void Ogre::GLContext::setInitialized | ( |  | ) |
| inline

## ◆ clone()

virtual GLContext* Ogre::GLContext::clone | ( |  | ) | const
| pure virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

## ◆ releaseContext()

virtual void Ogre::GLContext::releaseContext | ( |  | ) |
| inline virtual

Release the render context.

## ◆ createOrRetrieveStateCacheManager()

template<class StateCacheManager >

StateCacheManager* Ogre::GLContext::createOrRetrieveStateCacheManager | ( |  | ) |
| inline

Get the state cache manager, creating it on demand.

References OGRE_NEW.

## ◆ _getVaoDeferredForDestruction()

std::vector<uint32>& Ogre::GLContext::_getVaoDeferredForDestruction | ( |  | ) |
| inline

VAOs deferred for destruction in proper GL context.

## ◆ _getFboDeferredForDestruction()

std::vector<uint32>& Ogre::GLContext::_getFboDeferredForDestruction | ( |  | ) |
| inline

FBOs deferred for destruction in proper GL context.

The documentation for this class was generated from the following file:

- OgreGLContext.h